! This tests the MISS_DISTANCE macro for the Macro Procedures Lab 2*
!
! Author:  Neon Ngo
! Version: $Id: test_miss_distance.mm,v 1.1 2008/02/18 23:17:20 ntn Exp $
!
startmacro
  switch INTERACTIVE interAct GET DEF=TRUE  SDEF=TRUE
  switch BASELINE    baseline GET DEF=FALSE SDEF=TRUE

  if interAct then
    res inst "Verify the EXPECTED OUTPUT against the ACTUAL OUTPUT."

    pipe on
      panel/msgid=MAIN/setup/controls=gc
      gcontrol text idtext "Instructions" "^inst" 24 4 /title
      gcontrol menu main "Exit with Status = " "PASS,FAIL" /tleft
      set gc.main.itemColors {PASS=GREEN,FAIL=RED}

      shellgui/attach
      say ""
      say "EXPECTED OUTPUT:"
      say "Miss distance is 136644.17740578306 meters"
      say ""
      say "ACTUAL OUTPUT:"
      say "nM> miss_distance 44 33 45 34"
      miss_distance 44 33 45 34
    pipe off
  endif
endmacro

procedure processMessage m:msg
  if msg.name eqs "MAIN" then
    assert/text="^reg.main.name: Tests for MISS_DISTANCE" msg.data eqss "PASS"
    pipe stop
  else
    say "^reg.main.name: Unhandled message name: ^msg.name from fid: ^msg.fid data: ^msg.data"
  endif
return
